<div class="container button-new-description__content {{needsScrollbar}}">
  <div class="button-new-description__body-svg-container" style="{{svgMaxHeight}}">
  {{!-- <div class="button-new-description__body-svg-container"> --}}
    {{svg-jar 'que' class="button-new-description__body-svg-image"}}
  </div>
  <div class="" id="typeContent">
    <div class="row button-new-description__body-content">
      <div class="col-12 button-new-description__body-content--text-class">
        <p class="button-new-description__text">
          Añade un título diciendo qué buscas y/u ofreces con palabras clave. Añade una descripción e imágenes si quieres.
        </p>
      </div>
      <div class="{{if isChangeType "col" "col-12"}}">
        <div class="row">
          {{#if isNeedType}}
            <div class="col-12">
              {{!-- showCreateWhen=(action "checkTagAlreadyExists") --}}
              {{#power-select-multiple-with-create
                  selected=selectedNeededTags
                  oncreate=(action 'createNewTag' 'selectedNeededTags')
                  search=(action 'searchNeedTags')
                  options=trendingTags
                  onchange=(action 'changeSelectedTags' 'selectedNeededTags')
                  showCreatePosition="bottom"
                  loadingMessage="Buscando tags..."
                  placeholder=(if button.swap "Qué ofreces a cambio" "Qué buscas/necesitas p. ej. : pasear, ropa")
                  triggerClass=(if button.swap "select__select select__select--hashtag-offer ember-power-select-no-icon button-new-description__select-container"
                   "select__select select__select--hashtag-needed ember-power-select-no-icon button-new-description__select-container")
                  dropdownClass="select__option button-new-description__select button-new-description__select--small auto-power-select-position ember-basic-dropdown-content--above"
                  buildSuggestion=(action 'tagSuggestion')
                  searchMessage=false
                  onopen=(action 'openSelect' '0')
                  as |tag|
              }}
                <div {{action 'removeTag' 'selectedNeededTags' tag}} class="ember-power-select-multiple-remove-btn">
                  {{tag.name}}
                  <div class="button-counter">
                    {{tag.activeButtonsCounter}} buttons
                  </div>
                </div>
              {{/power-select-multiple-with-create}}
            </div>
          {{else}}
            <div class="col-12">
              {{!-- showCreateWhen=(action "checkTagAlreadyExists") --}}
              {{#power-select-multiple-with-create
                  selected=selectedOfferTags
                  oncreate=(action 'createNewTag' 'selectedOfferTags')
                  search=(action "searchOfferTags")
                  options=trendingTags
                  onchange=(action 'changeSelectedTags' 'selectedOfferTags')
                  showCreatePosition="bottom"
                  loadingMessage="Buscando tags..."
                  placeholder=(if button.swap "Qué necesitas p. ej. : pasear, ropa" "Qué ofreces p. ej. : pasear, ropa")
                  triggerClass=(if button.swap "select__select select__select--hashtag-needed ember-power-select-no-icon button-new-description__select-container"
                   "select__select select__select--hashtag-offer ember-power-select-no-icon button-new-description__select-container")
                  dropdownClass="select__option button-new-description__select button-new-description__select--small auto-power-select-position ember-basic-dropdown-content--above"
                  buildSuggestion=(action 'tagSuggestion')
                  searchMessage=false
                  onopen=(action 'openSelect' '0')
                  as |tag|
              }}
                <div {{action 'removeTag' 'selectedOfferTags' tag}} class="ember-power-select-multiple-remove-btn">
                  {{tag.name}}
                  <div class="button-counter">
                    {{tag.activeButtonsCounter}} buttons
                  </div>
                </div>
              {{/power-select-multiple-with-create}}
            </div>
          {{/if}}
          {{#if isChangeType}}
            <div class="col-12 mt-3">
              {{#power-select-multiple-with-create
                  selected=selectedNeededTags
                  oncreate=(action 'createNewTag' 'selectedNeededTags')
                  search=(action 'searchNeedTags')
                  options=trendingTags
                  onchange=(action 'changeSelectedTags' 'selectedNeededTags')
                  showCreatePosition="bottom"
                  showCreateWhen=(action "checkTagAlreadyExists")
                  loadingMessage="Buscando tags..."
                  placeholder=(if button.swap "Qué ofreces a cambio" "¿Qué buscas a cambio?")
                  triggerClass=(if button.swap "select__select select__select--hashtag-offer ember-power-select-no-icon button-new-description__select-container"
                   "select__select select__select--hashtag-needed ember-power-select-no-icon button-new-description__select-container")
                  dropdownClass="select__option button-new-description__select button-new-description__select--small auto-power-select-position ember-basic-dropdown-content--above"
                  buildSuggestion=(action 'tagSuggestion')
                  searchMessage=false
                  onopen=(action 'openSelect' 1)
                  as |tag|
              }}
                <div {{action 'removeTag' 'selectedNeededTags' tag}} class="ember-power-select-multiple-remove-btn">
                  {{tag.name}}
                  <div class="button-counter">
                    {{tag.activeButtonsCounter}} buttons
                  </div>
                </div>
              {{/power-select-multiple-with-create}}
            </div>
          {{/if}}
        </div>
      </div>
      {{#if isChangeType}}
        <div class="col-2 button-new-description__exchange-container px-0">
          <button {{action 'swapButton'}} type="button" name="button">
            {{svg-jar 'swap' class="icon"}}
          </button>
        </div>
      {{/if}}
      <div class="col-12 mt-3">
        {{textarea input=(action "checkDescriptionLength" button.description) class="form-control button-new-description__input button-new-description__input--textarea-height pt-2" placeholder="Descríbelo ..." value=button.description}}
        <div class="row button-new-description__img-row">
          {{#unless hasImage}}
              <div class="col-auto">
                {{#file-upload name="photos"
                               for="upload-photo"
                               accept="image/gif, image/jpeg, image/png, image/jpg"
                               multiple=false
                               onfileadd=(action "uploadImage")}}
                  <a tabindex=0>{{svg-jar 'camera' class=(if hasImage "button-new-description__icon button-new-description__icon--stroked" "button-new-description__icon")}}</a>
                {{/file-upload}}
              </div>
          {{else}}
            <div class="col-auto">
              {{#file-upload name="photos"
                             for="upload-photo"
                             accept="image/gif, image/jpeg, image/png, image/jpg"
                             multiple=false
                             onfileadd=(action "uploadImage")}}
                <a tabindex=0> <img src={{buttonImage}} alt="Avatar" class="button-new-description__img"></a>
              {{/file-upload}}
            </div>
            <div class="col-auto" {{action 'clearImage'}}>
                {{svg-jar 'cross' class="button-new-description__icon"}}
            </div>
          {{/unless}}
          <div class="col-auto col-right">
            {{net-picker buttonNetController=buttonNetController hideCreateNet=hideCreateNet isCreation=true newButton=button}}
          </div>
        </div>
        {{!-- BTN --}}
        <div class="row justify-content-center mt-3">
          <div class="col-12 px-0">
            <button class="button-sample border-0 button-new-description__next-btn" {{action 'nextStep'}} type="button" name="button" disabled={{isNextButtonDisabled}}>
              Siguiente
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{{#unless isSmallDevice}}
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' class="button-new-description__close-container"}}{{/link-to}}
  {{else}}
    {{#link-to 'index.index' class="button-new-description__close-container"}}{{/link-to}}
  {{/if}}
{{/unless}}
{{loading-overlay showOverlay=showSpinner class=(if showSpinner "col-2 button-new-description__spinner" "d-none")}}
